NCGR2TGA(1)

NAME
ncgr2tga - Nintendo NCGR image to TGA converter

SYNOPSIS
ncgr2tga [options] width height ncgr [ngr ...] nclr tga

DESCRIPTION
ncgr2tga converts Nintendo's tile-based NCGR images into common TGA images.

2D graphics on the Nintendo DS is fundamentally tile-based. Specifically, the graphics data in NCGR is ordered in tiles of 8×8 pixels. Moreover, an NCGR file can itself be a tile of a larger image. This tool can automatically combine and unwrap these tiles, and, together with an NCLR file for the palette, converts a grid of NCGR into a plain old linear TGA image.

OPTIONS
-h
- -help
    Show a help text and exit.
- -version
    Show version information and exit.
width
    The width of the NCGR grid, in NCGR files.
height
    The height of the NCGR grid, in NCGR files.
ncgr
    The name of an NCGR file to use. The NCGR contains the pixel graphics part of the image.

    width × height NCGR files have to be given; they are drawn into the final TGA in row-major order. An empty filename, commonly specified with "", means that this grid cell will be empty, filled with palette entry 0.
nclr
    The name of the NCLR file to use. The NCLR file contains the palette part of the image.
tga The resulting TGA file will be written there.

LIMITATIONS
•   Only NCGR files with version 1.1 are supported
•   Only NCLR files with version 1.0 are supported
•   Only palettes with bit-depths of 4 or 8 are supported
•   Non-tiled or partitioned NCGR files are not supported
•   Some NCGR files don't contain valid width/height values, and seem to need an NCER file for this information. These files are currently not supported

EXAMPLES
Convert a 2×3 grid of NCGR files:

    $ ncgr2tga 2 3 a0.ncgr a1.ncgr a2.ncgr a3.ncgr a4.ncgr a5.ncgr \
      a.nclr a.tga

Convert a 2×2 grid of NCGR files, leaving the lower left quadrant blank:

    $ ncgr2tga 2 2 b0.ncgr, b1.ncgr "" b2.ncgr b.nclr b.tga

SEE ALSO
cbgt2tga(1)

More information about the xoreos project can be found on its website: https://xoreos.org/.

AUTHORS
This program is part of the xoreos-tools package, which in turn is part of the xoreos project, and was written by the xoreos team. Please see the AUTHORS file for details.